Subject: Re: LINES and COLUMNS not getting updated
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 31 May 2006 11:47:54 -0400

On Wed, May 31, 2006 at 10:07:48AM -0400, Kenneth Nellis wrote:
>In my Cygwin X-Windows xterm environment, I'm not seeing the LINES and COLUMNS environment variables getting updated correctly after my window is resized. Furthermore, "echo $COLUMNS" and "printenv COLUMNS" don't agree. (I didn't see relevant articles in the archives.)
>
>It seems to start off working as expected, but soon fails. What seems to work reliably is the following sequence in a new login shell:
>1) export COLUMNS=80
>2) printenv COLUMNS; # correctly shows 80
>3) # resize xterm window width
>4) printenv COLUMNS; # correctly shows new width
>
>Two interesting repeatable anomalies:
>1) If I omit step 2, the last step reports 80, regardless of the window width; and
>2) "echo $COLUMNS" always reports 80, regardless of what printenv reports.
>Also, printenv seems frequently to get stuck at the value 94, regardless of the actual width. This and many other anomalies don't seem to be repeatable.
>I observe LINES behaving similarly to COLUMNS.
>
>FWIW, I???m using:
>Windows XP Professional Ver 5.1 Build 2600 Service Pack 2
>Cygwin DLL version 1.5.19
>xterm  6.8.2.0(202-1)
>xorg-x11-* 6.8.2.0-x
>bash 3.1-17(6)
>I'm starting my bash session within an xterm window with "xterm -e /usr/bin/bash -l" from a standard startxwin.bat and TERM=xterm.

Please go back and read http://cygwin.com/lists.html .  This question is not
appropriate for the general cygwin list.

This message belongs on the cygwin-xfree list - a list that the xterm maintainer
reads.

I've redirected this message to that list.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/